UbuntuUpdates.org

Package "paramiko"

Name: paramiko

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Make ssh v2 connections with Python (Documentation)
  • Make ssh v2 connections (Python 2)
  • Make ssh v2 connections (Python 3)

Latest version: 2.0.0-1ubuntu1.2
Release: bionic (18.04)
Level: security
Repository: main

Links

Save this URL for the latest version of "paramiko": https://www.ubuntuupdates.org/paramiko



Other versions of "paramiko" in Bionic

Repository Area Version
base main 2.0.0-1ubuntu1
updates main 2.0.0-1ubuntu1.2

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 2.0.0-1ubuntu1.2 2018-10-30 16:06:50 UTC

  paramiko (2.0.0-1ubuntu1.2) bionic-security; urgency=medium

  * debian/tests/control: fix autopkgtest by adding python-mock and
    python3-mock to Depends.

 -- Marc Deslauriers <email address hidden> Fri, 26 Oct 2018 14:06:55 -0400

Source diff to previous version

Version: 2.0.0-1ubuntu1.1 2018-10-17 14:06:35 UTC

  paramiko (2.0.0-1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: server-side authentication vulnerability
    - debian/patches/CVE-2018-1000805-pre.patch: fix MSG_UNIMPLEMENTED in
      paramiko/transport.py, added tests to tests/test_transport.py.
    - debian/patches/CVE-2018-1000805.patch: split messages dict in
      paramiko/auth_handler.py, added tests to tests/test_transport.py.
    - debian/control: added python-mock and python3-mock Build-Depends.
    - CVE-2018-1000805

 -- Marc Deslauriers <email address hidden> Tue, 16 Oct 2018 10:04:38 -0400

CVE-2018-1000805 Paramiko version 2.4.1, 2.3.2, 2.2.3, 2.1.5, 2.0.8, 1.18.5, 1.17.6 contains a Incorrect Access Control vulnerability in SSH server that can result in



About   -   Send Feedback to @ubuntu_updates